path: /build/build/logrotate-app-admin-3.22.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux acl cron" emerge app-admin/logrotate -pv -t && \
    USE="-selinux acl cron" emerge -j ${JOBS} --nodeps app-admin/logrotate
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/logrotate && luet-portage --dir /pkgdir/logrotate
    app-admin/logrotate && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e2f4919efcba8e20bec9e087e47b84d19d54533857163411ab27d08d8233ca79
  package:
    name: logrotate
    version: 3.22.0
    category: app-admin
    use_flags:
    - -selinux
    - acl
    - cron
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Rotates, compresses, and mails system logs
    uri:
    - https://github.com/logrotate/logrotate
    license: GPL-2
    buildtimestamp: 2024-08-19 00:15:24.600610427 +0000 UTC m=+110.288844726
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: '>=dev-libs/popt-1.5 selinux? ( sys-libs/libselinux ) acl? ( virtual/acl
        )'
      IUSE: acl +cron selinux systemd
      RDEPEND: '>=dev-libs/popt-1.5 selinux? ( sys-libs/libselinux ) acl? ( virtual/acl
        ) selinux? ( sec-policy/selinux-logrotate ) cron? ( virtual/cron ) virtual/tmpfiles'
      emerge.packages: app-admin/logrotate
      kit: core-server-kit
      original.package.name: app-admin/logrotate
      original.package.slot: "0"
      original.package.version: 3.22.0
    treedir: /build/packages
  package_dir: /pkgdir/logrotate
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f32841bb31157cf9b22d53fda334f551cb47029d0e855300ba3bd5ee1fa98988
compressiontype: zstd
files:
- etc/cron.daily/logrotate
- etc/logrotate.conf
- etc/logrotate.d/.keep_app-admin_logrotate-0
- usr/bin/logrotate
- usr/lib/tmpfiles.d/logrotate.conf
- usr/share/doc/logrotate-3.22.0/ChangeLog.md.bz2
- usr/share/man/man8/logrotate.8.bz2
- var/db/pkg/app-admin/logrotate-3.22.0/BDEPEND
- var/db/pkg/app-admin/logrotate-3.22.0/BUILD_TIME
- var/db/pkg/app-admin/logrotate-3.22.0/CATEGORY
- var/db/pkg/app-admin/logrotate-3.22.0/CBUILD
- var/db/pkg/app-admin/logrotate-3.22.0/CFLAGS
- var/db/pkg/app-admin/logrotate-3.22.0/CHOST
- var/db/pkg/app-admin/logrotate-3.22.0/CONTENTS
- var/db/pkg/app-admin/logrotate-3.22.0/COUNTER
- var/db/pkg/app-admin/logrotate-3.22.0/CXXFLAGS
- var/db/pkg/app-admin/logrotate-3.22.0/DEFINED_PHASES
- var/db/pkg/app-admin/logrotate-3.22.0/DEPEND
- var/db/pkg/app-admin/logrotate-3.22.0/DESCRIPTION
- var/db/pkg/app-admin/logrotate-3.22.0/EAPI
- var/db/pkg/app-admin/logrotate-3.22.0/FEATURES
- var/db/pkg/app-admin/logrotate-3.22.0/HOMEPAGE
- var/db/pkg/app-admin/logrotate-3.22.0/INHERITED
- var/db/pkg/app-admin/logrotate-3.22.0/IUSE
- var/db/pkg/app-admin/logrotate-3.22.0/IUSE_EFFECTIVE
- var/db/pkg/app-admin/logrotate-3.22.0/KEYWORDS
- var/db/pkg/app-admin/logrotate-3.22.0/LDFLAGS
- var/db/pkg/app-admin/logrotate-3.22.0/LICENSE
- var/db/pkg/app-admin/logrotate-3.22.0/NEEDED
- var/db/pkg/app-admin/logrotate-3.22.0/PF
- var/db/pkg/app-admin/logrotate-3.22.0/RDEPEND
- var/db/pkg/app-admin/logrotate-3.22.0/REQUIRES
- var/db/pkg/app-admin/logrotate-3.22.0/SIZE
- var/db/pkg/app-admin/logrotate-3.22.0/SLOT
- var/db/pkg/app-admin/logrotate-3.22.0/USE
- var/db/pkg/app-admin/logrotate-3.22.0/environment.bz2
- var/db/pkg/app-admin/logrotate-3.22.0/logrotate-3.22.0.ebuild
- var/db/pkg/app-admin/logrotate-3.22.0/repository
package_cacheimage: ""
runtime:
  name: logrotate
  version: 3.22.0
  category: app-admin
  use_flags:
  - -selinux
  - acl
  - cron
  requires:
  - name: popt
    version: '>=0'
    category: dev-libs
  - name: acl
    version: '>=0'
    category: virtual
  - name: cron
    version: '>=0'
    category: virtual
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Rotates, compresses, and mails system logs
  uri:
  - https://github.com/logrotate/logrotate
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: '>=dev-libs/popt-1.5 selinux? ( sys-libs/libselinux ) acl? ( virtual/acl
      )'
    IUSE: acl +cron selinux systemd
    RDEPEND: '>=dev-libs/popt-1.5 selinux? ( sys-libs/libselinux ) acl? ( virtual/acl
      ) selinux? ( sec-policy/selinux-logrotate ) cron? ( virtual/cron ) virtual/tmpfiles'
    emerge.packages: app-admin/logrotate
    kit: core-server-kit
    original.package.name: app-admin/logrotate
    original.package.slot: "0"
    original.package.version: 3.22.0
